Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxcapture.painters
Interface SelectionPainter

All Known Implementing Classes:
  ObjectOnScreenPainter, RegionPainter

public interface SelectionPainter

The interface specifies the mode of painting during the drawing capture operation.

Method Summary
`void` | `acceptPoint(java.awt.Point point)` Invoked when the specified point is accepted.
`java.awt.image.BufferedImage` | `getSelectedArea()` Returns the resulting image of the drawing capture operation.
`void` | `paint(java.awt.Graphics graphics)` Invoked when the user is painting on the drawable component.
`void` | `selectionEnd()` Invoked when a selection operation is stopped.
`void` | `selectionStart()` Invoked when a selection operation is started.
`void` | `setBackgroundImage(java.awt.image.BufferedImage image)` Sets the specified background image.
`void` | `setCurrentPosition(java.awt.Point point)` Sets the current position of the mouse pointer.

Method Detail

### paint

    public void paint(java.awt.Graphics graphics)

  Invoked when the user is painting on the drawable component.

### getSelectedArea

    public java.awt.image.BufferedImage getSelectedArea()

  Returns the resulting image of the drawing capture operation.

### selectionStart

    public void selectionStart()

  Invoked when a selection operation is started.

### selectionEnd

    public void selectionEnd()

  Invoked when a selection operation is stopped.

### setCurrentPosition

    public void setCurrentPosition(java.awt.Point point)

  Sets the current position of the mouse pointer.

  Parameters:
    `point` - the specified position of the mouse pointer

### acceptPoint

    public void acceptPoint(java.awt.Point point)

  Invoked when the specified point is accepted.

### setBackgroundImage

    public void setBackgroundImage(java.awt.image.BufferedImage image)

  Sets the specified background image.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD